# pootential arguments:
# directory=$1
# options=$2


# options for linking with "ln"
options="-sfvnr"

# regular expression of link-modeline
regex="^.{2,3}link: \K\S+"

files=($(grep -rPHl "${regex}"))
destinations=($(grep -rPho "${regex}"))

# linking
for e in ${!files[@]};
do
	target=(${files[$e]})
	link_name=(${destinations[$e]})
	ln $options $target $link_name
done
